/**
 * BasicOperatorType.java
 *
 * File generated from the XValidator4::BasicOperatorType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration BasicOperatorType.
 *
 */

@XmlType(name = "DateOperatorType")
@XmlEnum
@XmlRootElement(name = "DateOperatorType")
public enum DateOperatorType {
	@XmlEnumValue("equal")
	EQUAL("equal", " = "),
	@XmlEnumValue("before")
	BEFORE("before", " >= "),
	@XmlEnumValue("after")
	AFTER("after", " =< ");

	private final String value;

	private final String notation;

	DateOperatorType(String value, String notation) {
		this.value = value;
		this.notation = notation;
	}

	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static DateOperatorType fromValue(String v) {
		for (DateOperatorType c : DateOperatorType.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

	public String getNotation() {
		return notation;
	}

}